#ifndef NEW_CONNECT_H
#define NEW_CONNECT_H

#include <Graphic/conntool.h>

class Link;

#define LINE_CONNECT_TOOL 2100

class LineConnectTool: public ConnectTool
{
	public:
		LineConnectTool(GraphicMaster *,Link *);
		virtual ~LineConnectTool();

		virtual boolean effect(const Event &);

		virtual ClassId get_classid() const;
		virtual boolean is_a(ClassId) const;
	protected:
		Graphic *get_connector(Graphic *);
	private:
		Link *_proto;
};

#endif
